SFML

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

sf::Socket Member List

This is the complete list of members for sf::Socket, including all inherited members.

AnyPort enum value | sf::Socket |
close() | sf::Socket | protected
create() | sf::Socket | protected
create(SocketHandle handle) | sf::Socket | protected
Disconnected enum value | sf::Socket |
Done enum value | sf::Socket |
Error enum value | sf::Socket |
getHandle() const | sf::Socket | protected
isBlocking() const | sf::Socket |
NonCopyable() | sf::NonCopyable | inline private
NotReady enum value | sf::Socket |
setBlocking(bool blocking) | sf::Socket |
Socket(Type type) | sf::Socket | protected
SocketSelector (defined in sf::Socket) | sf::Socket | friend
Status enum name | sf::Socket |
Tcp enum value | sf::Socket | protected
Type enum name | sf::Socket | protected
Udp enum value | sf::Socket | protected
~Socket() | sf::Socket | virtual